Get Credit Schedule by Account
curl --request GET \
--url https://sbx.api.easybilling.cloud/billing/api/credit-schedules/by-account \
--header 'Authorization: Bearer <token>'import requests
url = "https://sbx.api.easybilling.cloud/billing/api/credit-schedules/by-account"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sbx.api.easybilling.cloud/billing/api/credit-schedules/by-account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sbx.api.easybilling.cloud/billing/api/credit-schedules/by-account",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sbx.api.easybilling.cloud/billing/api/credit-schedules/by-account"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sbx.api.easybilling.cloud/billing/api/credit-schedules/by-account")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sbx.api.easybilling.cloud/billing/api/credit-schedules/by-account")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "024552b9-891c-49d6-a481-2ed4f54f227b",
"bucketId": "cce67985-5b06-486d-97fe-0c3d08ddd576",
"bucketStatus": "active",
"accountId": "76861aa5-fe22-4e28-8de0-9f23a7ce56e3",
"contractId": "3439f2d7-1485-4daf-907c-0085bff45274",
"contractSegmentId": "dcffea1c-8aa1-4938-9d8d-46e9a01448e0",
"originalTotalBalance": 20000,
"totalBalance": 20000,
"remainingBalance": 17500,
"uom": "Token",
"sourceItemId": "c85f99d8-0bd8-425c-872d-705107f11f54",
"validFrom": "2026-04-01",
"validTo": "2026-05-01",
"bucketType": "resource-based-credit"
}
]prepaid credits
Get Credit Schedule by Account
GET
/
api
/
credit-schedules
/
by-account
Get Credit Schedule by Account
curl --request GET \
--url https://sbx.api.easybilling.cloud/billing/api/credit-schedules/by-account \
--header 'Authorization: Bearer <token>'import requests
url = "https://sbx.api.easybilling.cloud/billing/api/credit-schedules/by-account"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sbx.api.easybilling.cloud/billing/api/credit-schedules/by-account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sbx.api.easybilling.cloud/billing/api/credit-schedules/by-account",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sbx.api.easybilling.cloud/billing/api/credit-schedules/by-account"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sbx.api.easybilling.cloud/billing/api/credit-schedules/by-account")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sbx.api.easybilling.cloud/billing/api/credit-schedules/by-account")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "024552b9-891c-49d6-a481-2ed4f54f227b",
"bucketId": "cce67985-5b06-486d-97fe-0c3d08ddd576",
"bucketStatus": "active",
"accountId": "76861aa5-fe22-4e28-8de0-9f23a7ce56e3",
"contractId": "3439f2d7-1485-4daf-907c-0085bff45274",
"contractSegmentId": "dcffea1c-8aa1-4938-9d8d-46e9a01448e0",
"originalTotalBalance": 20000,
"totalBalance": 20000,
"remainingBalance": 17500,
"uom": "Token",
"sourceItemId": "c85f99d8-0bd8-425c-872d-705107f11f54",
"validFrom": "2026-04-01",
"validTo": "2026-05-01",
"bucketType": "resource-based-credit"
}
]Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Query Parameters
query by account number
query the credits that are valid on this date
Response
Found the Buckets
Unique identifier
Account identifier
Contract identifier
Contract segment identifier
Available options:
draft, active, cancelled Total balance
Remaining balance
Unit of measure for resource-based-credit; currency for currency-based-credit
Valid from date
Example:
"2026-03-05"
Valid to date
Example:
"2026-04-05"
Type
Available options:
resouce-based-credit, currency-based-credit 